

During my second semester of college, I battled depression due to overwhelmingly stressful circumstances. I was using and abusing many different prescription drugs and drinking very heavily. After a while, my body began to become more and more frail as a side effect to extensive drug use. There was one night that I took it too far. I decided to mix prescription drugs with a half a pint of whiskey. Looking back now, I can see how one would think I was making an attempt on my life but I truly was not. I was depressed, but not suicidal. After about an hour and a half I found myself with very limited consciousness. I was in a dorm room sitting in a rocking chair. My chest began to hurt. I felt like life was shutting down, as if everything that had to do with my external reality was fading. I tried to stand up, but fell to the ground. My friends gathered around me, trying to pick me up. I could hear them calling my name but with every second, their calls become more like echoes in some far away cave. I began to feel like breathing was optional, as if it no longer mattered to me.

I felt like I could feel and see everything which was nothing at all. Everything was pure energy. I felt as if I was evaporating into the very air itself. Then I heard a voice, but saw no Being. It asked two questions in this order: 1) 'What are you doing here?'; and 2) 'Do you have any regrets?' To the first question I replied 'I do not know.' To the second question if I had any regrets I answered, 'Yes.' Lying was not an option. I felt an overwhelming sense of peace that I've never experienced in my life. I felt no need to lie, it just wasn't necessary. The voice then told me, 'It is not your time.'

Then slowly, I regained consciousness. I was returning. I awoke on the floor in my friend's arms, gasping for air. I was told he slapped me, but I felt nothing. Although my face was red. I was told I was passed out for 10 minutes or so, and that my breathing was becoming more and more faint. They said they were seconds away from calling an ambulance.

